\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{ME3E course, slope deflection method, exercise, homework 11}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

The examples complement section 4.5 of the lecture notes
'force and slope defl. methods' on the course web page, just 'Notes'
forthwith. They
should substitute classes of the present 11th week of the semester.
Questions concerning the stuff, address, please, to\\
'petr.rericha@fsv.cvut.cz'.\\ 
HW 11 should be delivered at the same address
by tuesday, May, 4th. If possible, process the homework
in a document processor (Word, Latex,..), scanned manuscripts are
acceptable, too. 


The cross-section stiffnesses $EA=1$, $EJ=1$ are assumed in most examples
for brevity unless otherwise stated.

\section{Reference for formulas and variables}
The arrows indicating displacements, rotations, forces and moments define
their positive senses!
\\
The real displacements and rotations are very small, both $\varphi_i$ and $\psi_{i,j}$
are of the order $0.001$ in real structures. The geometric relations valid
for infinitesimal displacements and rotations are therefore used,
for instance $\psi_{i,j}=v/l_{i,j}$. 
\\
\insFigUp{end-forces.pdf}{\textwidth}
\begin{equation}
M_{i,j} = k_{i,j} (2\phi_i + \phi_j -3~\psi_{i,j}) + M_{i,j}^f 
%                                                       \label{eq_sd4}
\end{equation}
$M_{i,j}$ - end moment at joint $i$ of beam $i,j$ owing to the joint
and beam rotations and to the beam load. The beam load is not shown in the left sketch
in order not to obscure the picture, instead its tokens are visible in the right sketch.
\\
$M_{i,j}^f$ - fixed end moment at joint $i$ of beam $i,j$ owing to the beam load alone
 with joint displacements and rotations fixed.
$\varphi_i$ - joint rotation
\\
$\psi_{i,j}$ - beam rotation
\\
A table of the fixed-end moments is provided for easy reference:
\begin{tabl}
\begin{center}
Fixed-end moments
\index{end moments!fixed}%
\begin{tabular}{cccccc}
load & $M_{i,j}^f$ & $M_{j,i}^f$& load & $M_{i,j}^f$ & $M_{j,i}^f$\\
\hline
\insFigUp{sdtab1.pdf}{0.2\textwidth}&${F a b^2 \over l^2}$ & ${-Fa^2b
\over l^2}$
&\insFigUp{sdtab4.pdf}{0.2\textwidth}&$fa^2{6l^2-8al+3a^2\over 12l^2}$ 
& $fa^3{3a-4l\over 12l^2}$\\
\insFigUp{sdtab2.pdf}{0.2\textwidth}&$Mb{2a-b\over l^2}$ & $Ma{2b-a
\over l^2} $
&\insFigUp{sdtab5.pdf}{0.2\textwidth}&$fl^2/20$&$-fl^2/30$ \\
\insFigUp{sdtab3.pdf}{0.2\textwidth}&$fl^2/12$ & $-fl^2/12 $
&\insFigUp{sdtab6.pdf}{0.2\textwidth}&$-{\Delta t~\alpha~EJ\over h}$ 
&${\Delta t~ \alpha~EJ\over h} $
\end{tabular}
\end{center}
\label{tabl_1}
\end{tabl}
A modified formula is valid for the end moment $M_{i,j}$ when end $j$ is attached
to the joint by a hinge:
\\
\insFigUp{end-forces-hinge.pdf}{0.5\textwidth}
\begin{equation}
M_{i,j}= k_{i,j}{3\over 2}(\phi_i-\psi_{i,j}) 
  +M_{i,j}^f-{M_{j,i}^f\over 2}
  ~~~~~~{\rm hinge~at~}j~~~~~~~M_{j,i}=0
%                                                       \label{eq_sd6} 
\end{equation}
If a beam is not loaded then a simple formula follows from its free body equilibrum
condition:
\begin{equation}
V_{i,j}= {M_{i,j}+M_{j,i}\over l_{i,j}}                  
\end{equation}
\\ \\ \\ \\ \\ \\
\section{Frames with sidesway} 
Translations of joints appear in frames with sidesway. It is convenient to
specify those translations by the beam rotations instead since only
relative lateral (with respect to beam axis) displacements of the beam end 
joints affect the beam bending. The joint rotations $\varphi_i$ are 
independent DOFs whereas the beam rotations $\psi_{i,j}$ are not 
in the wake of the beam axial rigidity.
\\
\subsection{Frame with 1DOF, force load}
\insFigUp{frame3.pdf}{\textwidth}
Beam stiffness of $k_{2,4}$ is taken for the reference and relative
stiffness of beam $1,3$ then is $1.5$. The load is exclusively force load
thus relative beam stiffnesses will be used.

The first step is to determine the DOFs in the slope deflection method.
The first guess might be  six DOFs at joints 3 and 4. But there are constraints: 
\begin{enumerate}
\item Beams $1,3$ and $2,4$
constrain vertical translations at joints 3 and 4. 
\item Rotations at those joints
can be eliminated by the modified formula for the end moments in sec.4.3
of the Notes. 
\item Beam $3,4$ entails equal horizontal translations of joints 3 and 4, 
$u_3=u_4$.
\end{enumerate}
Geometric relations imply then
\[ u_3= l_{1,3}\psi_{1,3}=u_4=l_{2,4}\psi_{2,4},~~~\Rightarrow
  \psi_{1,3}=1.5\psi_{2,4} \]
A single independent DOF remains:\\
DOF:  $\psi_{2,4}$\\
Equilibrium conditions conjugate to $\psi_{2,4}$ can be set up in a consistent
way by the application of the principal of virtual work, see sec.4.5.2 of the
Notes. In simple cases like this one is, an 'intuitive' way can be used.
Recall that beam rotations specify the joint translations in the slope deflection
method.  The conjugate equilibrium equation to $\psi_{2,4}$ then is the
horizontal equilibrium condition of that part of the structure whose
displacement is specified by  $\psi_{2,4}$. One possible separation of such
a part is indicated in the figure by  the dashed curve. It could be led
somewhere else but has to separate those joints whose translations are
specified by $\psi_{2,4}$, that is, joints $3$ and $4$.
The equilibrium condition conjugate to $\psi_{2,4}$ might read
\[ part I \rightarrow: -V_{3,1}-V_{4,2} + 1\cdot 1=0 \]
if part $I$ is separated immediately below joints $3$ and $4$ or
\[ part I \rightarrow: -V_{1,3}-V_{2,4} +1\cdot 3 =0 \]
if part $I$ is separated immediately above joints $1$ and $2$.
We use the first option and next have to express the shear forces in the
 equilibrium condition in terms of the end moments. Free body diagram
sketch of beam $1,3$ in the figure offers the condition
\[ beam 1,3, \odot 1: M_{1,3}-1\cdot 2^2/2 -V_{3,1}\cdot 2=0,~~~
\Rightarrow~~V_{3,1}=0.5M_{1,3}-1. \]
Formula (3) of the reference section can be used for $V_{4,2}$,
\[ V_{4,2}= M_{2,4}/3.  \]
Substitutions yield the equilibrium condition in terms of the end moments
\[ 3M_{1,3}+2M_{2,4}-12=0. \]
The end moments are expressed next in terms of the DOF:
\[M_{1,3}= -1.5\cdot 1.5\cdot 1.5 \psi_{2,4}+1\cdot 2^2/12\cdot 1.5=
  -3.33 \psi_{2,4}+0.5 \]
\[M_{2.4}= -1.5 \psi_{2,4}\]
The equilibrium condition in terms of the DOF:
\[ -13.1\psi_{2,4}-10.5=0,~~~\Rightarrow~~\psi_{2,4}=-0.8
\cdot \left({1\over k_{ref}}\right)  \]
Back substitutions then give the end forces
\[ M_{1,3}= 3.19,~~~M_{2,4}=1.2,~~~V_{1,3}= 2.6,~~~V_{2,4}=0.4 \]
Shear forces and bending moments on the skew beam could have been
determined without the solution of the structure. This part behaves
like a simple beam, see the free body diagram in the above figure.
\[ \odot 3: -1^3/2-V_{4,3}\cdot 2.24=0,~~~\Rightarrow~~V_{4,3}=-0.22\]
\[ M_{3,4,c}=-V_{4,3}\cdot 2.24/2-1\cdot 0.5^2/2=0.125 \]
Normal force $N_{3,4}$ is computed the standard way by equilibrium of the
joint 3
\[ 3\rightarrow:0.6+0.22(-0.45)-N_{3,4}\cdot0.9=0,~~~\Rightarrow~~N_{3,4}=0.56.\]
The vertical equilibrium of the joint supplies $N_{3,1}=0.103$ and
$N{2,4}=0.103$ follows from the vertical equilibrium of the whole structure. 
Last, $N_{4,3}=-0.32$, is best computed from the equilibrium of beam $3,4$
in the direction of its axis.
\subsection{Frame with 1DOF, thermal load}
The frame of the previous section is subject to homogeneous temperature
change $t$ in beam $3,4$. Remember that the DOFs and conjugate equilibrium
equations do not depend on load but for the load term. In this load case,
the load terms in the expression for $M_{1,3}$ and in the equilibrium
equation in terms of the shear forces disappear. 
\[ part I \rightarrow: -V_{3,1}-V_{4,2}=0 \]
\[ V_{4,2}= M_{2,4}/3,~~~V_{1,3}= M_{1.3}/2  \]
\[ 3M_{1,3}+2M_{2,4}=0. \]
The load terms are due to the beam rotations difference now , see the sketch:
\\
\insFigUp{frame3-thomo.pdf}{0.6\textwidth}
\[ \psi_{1,3}={u+2\alpha t \over 2},~~~\psi_{2,4}={u\over 2}, ~~~\Rightarrow~~
 \psi_{1,3}=1.5\psi{2,4} +\alpha t \]
The end moments are expressed next in terms of the DOF:
\[M_{1,3}= -1.5\cdot 1.5(1.5 \psi_{2,4}+\alpha t)= -3.33 \psi_{2,4} -2.25\alpha t\]
\[M_{2.4}= -1.5 \psi_{2,4}\]
The equilibrium equation in terms of the DOF:
\[ -13.1\psi_{2,4} -6.75\alpha t=0,~~~\Rightarrow~~ \psi_{2,4}=-0.514\alpha t\]
Back substitution yields
\[ M_{1,3}=-0.518\alpha t, ~~~M_{2,4}=0.774\alpha t\]
The rest of the solution follows the steps of the previous subsection and
is not presented here, just the final bending moment diagram is 
in the figure.
\\{\bf HW 11:}\\
Set up the equilibrium equations of the slope deflection method 
in the table form. 
Use as few DOFs as possible, that is, eliminate the rotations of the beam
ends at hinges. \\
\insFigUp{hw11frame4.pdf}{0.5\textwidth}
\newpage
{\bf HW 11 solution:}\\
In the preparatory steps the beam stiffnesses are determined as
\[ k_{4,5}=k_{3,5}=1,~~~k_{1,2}=k_{2,3}=2 \]
The independent DOFs are: a single joint rotation $\varphi_3$ and two
beam rotations $\psi_{4,5}$ and $\psi_{1,2}$ as shown in the central
and right sketch in the figure below. 
\\
\insFigUp{hw11frame4-sol.pdf}{\textwidth}
\\ From those sketches the dependent
beam rotation $\psi_{2,3}$ is obtained as
\[ \psi_{2,3}= 2\psi_{4,5}-\psi_{1,2} \]
The equilibrium equations in terms of the end forces are conjugate
to the degrees of DOFs. This requires a bit of skill in case of
beam rotation DOFs, in particular the selection is vague of the parts
whose equilibrium is to be considered. The two parts conjugate to
$\psi_{4,5}$ and $\psi_{1,2}$ are indicated in the two sketches 
in the above figure. The selection is not unique, the separating cuts
could be varied to some extent. The alternative method, application
of the principle of virtual work is demostrated at the end.
\[ \odot 3:~~M_{3,2}+M_{3,5}=0\]
\[ I\uparrow:  V_{5,4}+V_{3,2}-1=0 \]
\[ II\uparrow:  V_{2,1}-V_{2,3}=0 \]
Using formula (3) for the shear force the 2nd and 3rd equation in terms
of the end moments:
\[ I\uparrow: M_{4,5} + 2M_{3,2} -10 =0 \]
\[ II\uparrow: M_{1,2} - M_{3,2}= 0 \]
The rest of the solution is routine, just substitute for the end moments
using formulas (1) and (3):
\[ M_{3,2}= 1.5\cdot 2 (\varphi_3 -\psi_{2,3}=3(\varphi_3-2\psi_{4,5}
+\psi_{1,2}, ~~~M_{3,5}= 1.5\varphi_3'~~~M_{1,2}=--3\psi_{1,2},~~~
M_{4,5}= -1.5\psi_{4,5} \]
The equilibrium equations in terms of the DOFs and in the table form:
\[ \begin{array}{cccc} 
	\varphi_3 & \psi_{1,2} &\psi_{4,5}& load term \\
 4.5&3&-6&0\\ 3&6&-6&0\\6&6&-13.5&-10
\end{array} \]
When the last equation  is multiplied $-1$ the system becomes symmetric.
Note that the correct order of equations is necessary to see the symmetry.
Since the order of the DOFs is $\varphi_3$, $\psi_{1,2}$, $\psi_{4,5}$
(by the choice of the author),
the  order of the equlibrium equations must be $3\odot$, $II\uparrow$
and $I\uparrow$.
% The solution is $\varphi_3=-2.22,~~~ \psi_{1,2}=-1.11,~~~\psi{4,5}=-2.22$.
% The end moments are all three 3.33.
The equilibrium equations conjugate to beam rotations could have been
set up by the principle of virtual work. For that purpose we impose
virtual displacements defined by the DOFs. The virtual displacement
defined by $\psi_{4,5}$ is in the center sketch of the above figure.
The work of the actual internal and external forces on this
virtual displacement must be zero
\[ -F\cdot 10 \psi_{4,5} + M_{4,5}\psi_{4,5}+ \psi_{2,3}M_{3,2} =0  \]
which gives the $I\uparrow$ equilibrium equation of the original solution. 
The work done on virtual displacement in the right sketch supplies 
the third equilibrium equation
\[ M_{1,2}\psi_{1,2} +M_{3,2}\psi_{2,3}=0.\]
This way of deriving equilibrium equations is unique and consistent.
Note that always just a single DOF is imposed, the other ones are
zeros.

\end{document}
